######################################################################
# script para execucao da classe de comunicacao com o PLR2 da Renault
# autor: ricardo.xavier
# data: 01/10/2015
######################################################################
date >> /tmp/plr2.log
echo $* >> /tmp/plr2.log

# variaveis de ambiente que podem precisar de intervencao do usuario
######################################################################
# diretorio onde estao os arquivos .jar pre-requisitos para a comunicacao, exemplo: jaxrpc.jar
DIR_JARS=.
# diretorio de instalacao do java
JAVA_HOME=/usr/local/jre1.6
######################################################################
# fim do bloco de intervencao do usuario, o restante do script nao deve ser alterado

# seta e verifica o CLASSPATH
#############################
export CLASSPATH=plr2.jar:$DIR_JARS/jaxrpc.jar:$DIR_JARS/axis.jar:$DIR_JARS/org.apache.commons.logging_1.0.4.v201101211617.jar:$DIR_JARS/commons-discovery-0.2.jar:$DIR_JARS/javax.wsdl_1.6.2.v201012040545.jar
for jar in `echo $CLASSPATH | tr ':' ' '`
do
    if [ ! -f $jar ]
    then
        echo "O arquivo $jar nao foi encontrado."
        exit -1
    fi
done

# verifica a instalacao do java
###############################
PATH=$JAVA_HOME/bin:$PATH
java -version >/dev/null 2>&1
if [ $? != 0 ]
then
    echo "Java nao encontrado."
    exit -1
fi

mkdir logs_plr2 2>/dev/null
chmod 777 logs_plr2 2>/dev/null

# executa a comunicacao
#######################
log=logs_plr2/`date '+%y%m%d%H%M%S'`.log
echo $* > $log
java br.com.linx.plr2.Comunicacao $* >>$log 2>&1
echo fim >> /tmp/plr2.log

